stages:
  - build
  - deploy

amd64 wordpress build:
  stage: yobasystems/alpine-docker:dind
  stage: build
  tags:
    - amd64
  script:
    - apk add --update git
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $DOCKER_REGISTRY
    - cd alpine-php-wordpress-amd64/ && docker build -t $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:master -t $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:latest -t $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:amd64 .
    - docker push $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:master
    - docker push $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:latest
    - docker push $DOCKER_REGISTRY/$DOCKER_REGISTRY_REPO:amd64

Github Mirror:
  stage: deploy
  tags:
    - deploy
  script:
    - git push --mirror https://$GITHUB_USERNAME:$GITHUB_PASSWORD@$GITHUB_REPO
    - git push https://$GITHUB_USERNAME:$GITHUB_PASSWORD@$GITHUB_REPO HEAD:master

Bitbucket Mirror:
  stage: deploy
  tags:
    - deploy
  script:
    - mkdir -p ~/.ssh
    - echo "$BB_SSH_PRIVATE_KEY" | tr -d '\r' > ~/.ssh/id_rsa
    - chmod 600 ~/.ssh/id_rsa
    - ssh-keyscan -H 'bitbucket.org' >> ~/.ssh/known_hosts
    - git push --mirror git@$BITBUCKET_REPO
    - git push git@$BITBUCKET_REPO HEAD:master